Package it.ernytech.tdlib

## Class TdApi.InlineQueryResultContact

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.InlineQueryResult
    - - it.ernytech.tdlib.TdApi.InlineQueryResultContact

Enclosing class:
  TdApi

    public static class TdApi.InlineQueryResultContact
    extends TdApi.InlineQueryResult

Represents a user contact.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.Contact` `contact` A user contact.
`java.lang.String` `id` Unique identifier of the query result.
`TdApi.PhotoSize` `thumbnail` Result thumbnail; may be null.

### Constructor Summary

Constructors
`InlineQueryResultContact()` Default constructor.
`InlineQueryResultContact​(java.lang.String id, TdApi.Contact contact, TdApi.PhotoSize thumbnail)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### id

    public java.lang.String id

Unique identifier of the query result.

#### contact

    public TdApi.Contact contact

A user contact.

#### thumbnail

    public TdApi.PhotoSize thumbnail

Result thumbnail; may be null.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### InlineQueryResultContact

    public InlineQueryResultContact()

Default constructor.

#### InlineQueryResultContact

    public InlineQueryResultContact​(java.lang.String id,
                                    TdApi.Contact contact,
                                    TdApi.PhotoSize thumbnail)

Constructor for initialization of all fields.

Parameters:
  `id` - Unique identifier of the query result.
  `contact` - A user contact.
  `thumbnail` - Result thumbnail; may be null.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR